Bug 72989 - Error on startup of redhat-config-services
Error on startup of redhat-config-services
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-services (Show other bugs)
8.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-29 14:51 EDT by Peter van Egdom
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-24 17:51:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter van Egdom 2002-08-29 14:51:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.1) Gecko/20020826

Description of problem:
Starting redhat-config-services from an xterm gives the following error:

 (redhat-config-services:3014): GLib-GObject-WARNING **: gobject.c:916: object
  class `GnomeProgram' has no property named `default-icon'

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start redhat-config-services from an xterm
2.
3.
	

Actual Results:  See error.

Expected Results:  No error.

Additional info:

redhat-config-services-0.8.1-12
Comment 1 Need Real Name 2002-09-04 17:19:25 EDT
In addition, at least on my system, the application then bombs with this log:

Traceback (most recent call last):
  File "/usr/share/redhat-config-services/serviceconf.py", line 497, in ?
    main()
  File "/usr/share/redhat-config-services/serviceconf.py", line 487, in main
    Gui()
  File "/usr/share/redhat-config-services/serviceconf.py", line 174, in __init__
   self.populateList()
  File "/usr/share/redhat-config-services/serviceconf.py", line 225, in populateList
    self.allservices, self.dict_services =
self.ServiceMethods.get_service_list(self.editing_runlevel, idle_func)
  File "/usr/share/redhat-config-services/servicemethods.py", line 213, in
get_service_list
    runlevels = commands.getstatusoutput("LANG=en_US /sbin/chkconfig --list " +
servicename)[1]
  File "/usr/lib/python2.2/commands.py", line 54, in getstatusoutput
    text = pipe.read()
IOError: [Errno 4] Interrupted system call
Comment 2 Daniel Walsh 2002-09-16 11:52:43 EDT
Fixed in redhat-config-services-0.8.1-13
Comment 3 Peter van Egdom 2003-01-24 17:51:53 EST
Confirmed fixed in "redhat-config-services-0.8.3-10" on Phoebe 8.0.93.
Resolving bug with resolution RAWHIDE.
Thanks!

Note You need to log in before you can comment on or make changes to this bug.